{
  stdenv
, lib, fetchFromGitLab
, meson, ninja, pkg-config
, qtbase, wrapQtAppsHook
, wayland, wlroots_0_16
}:

stdenv.mkDerivation {
  pname = "wayqt";
  version = "20230112";

  src = fetchFromGitLab {
    owner = "desktop-frameworks";
    repo = "wayqt";
    rev = "8604391059da1acd5c5b67f44742af10919bb525";
    sha256 = "0smbvmgii7f6lsylwg06d7lf83nyiggz8iz7aw3dhf5b8xdhgbaw";
  };

  buildInputs = [ qtbase wayland wlroots_0_16 meson ninja pkg-config ];
  nativeBuildInputs = [ wrapQtAppsHook ]; 
}
