{
  stdenv
, fetchFromGitHub
, gcc, gnumake
, libusb
}:

stdenv.mkDerivation rec {
  pname = "rgb_keyboard";
  version = "20230430";
  src = fetchFromGitHub {
    owner = "PapaTutuWawa";
    repo = "rgb_keyboard";
    rev = "5bbdafea77ef3c3eb47081494f3b58abcd5c4e27";
    sha256 = "0m5hvlhqncy1qn5v6gpsz9qd2p4cvcjjnma08vb4b2ybq4kfv7qw";
  };

  buildInputs = [
    libusb
  ];

  buildPhase = ''
    ${gnumake}/bin/make build
  '';

  installPhase = ''
    mkdir -p $out/bin/
    cp rgb_keyboard $out/bin/
  '';
}
